| Home | Libraries | People | FAQ | More

## Function template trim_copy

boost::algorithm::trim_copy — Trim.

## Synopsis

    // In header: <boost/algorithm/string/trim.hpp>

    template<typename SequenceT>
      SequenceT trim_copy(const SequenceT & Input,
                          const std::locale & Loc = std::locale());

## Description

Remove all leading and trailing spaces from the input. The result is a trimmed copy of the input

Parameters: |
`Input` | An input sequence
`Loc` | A locale used for 'space' classification
Returns: | A trimmed copy of the input
Notes: | This function provides the strong exception-safety guarantee